%define upstream_name    IO-Tty
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Pseudo TTY object class
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The IO::Tty and IO::Pty modules provide an interface to pseudo tty's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-4.mga6
+ Revision: 1028792
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.120.0-3.mga6
+ Revision: 957567
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.120.0-2.mga6
+ Revision: 844924
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.120.0-1.mga6
+ Revision: 840831
- New version 1.12 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 744950
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.110.0-4.mga5
+ Revision: 732305
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-3.mga5
+ Revision: 685089
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.110.0-2.mga5
+ Revision: 631293
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 620660
- update to 1.11

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-10.mga4
+ Revision: 524347
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.100.0-9.mga4
+ Revision: 430762
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.100.0-8.mga4
+ Revision: 429888
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-7.mga3
+ Revision: 368600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 1.100.0-6.mga3
+ Revision: 283477
- Rebuild for new perl

* Wed May 30 2012 jquelin <jquelin> 1.100.0-5.mga3
+ Revision: 250788
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.100.0-4.mga2
+ Revision: 103942
- perl 5.14

* Sat Jun 11 2011 spuhler <spuhler> 1.100.0-3.mga2
+ Revision: 103941
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 31622
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 12272
- imported package perl-IO-Tty


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2011.0
+ Revision: 596618
- update to 1.10

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.80.0-3mdv2011.0
+ Revision: 564520
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.80.0-2mdv2011.0
+ Revision: 555281
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.1
+ Revision: 402560
- update to 0.56

* Wed Feb 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2009.1
+ Revision: 344636
- update to new version 1.08

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.07-4mdv2009.0
+ Revision: 223801
- rebuild
- reenable tests

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.07-3mdv2008.1
+ Revision: 152211
- temporary disable tests
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2007.0
- New version 1.07

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.0
- New version 1.05

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2007.0
- New release 1.04

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2007.0
- New release 1.03
- spec cleanup

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.02-11mdk
- Rebuild

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-10mdk
- rebuild for new perl

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-9mdk
- Own dir
- rebuild

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02-8mdk
- fix build on amd64

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-7mdk
- rebuild for new perl
- use %%make macro
- use %%makeinstall_std macro

